The Accounting Dimension object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

label string
fieldname string
document_type string required
disabled boolean

Default: false

The Accounting Dimension object
{
  "id": "accounting-dimension_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "label": "label_example",
  "fieldname": "fieldname_example",
  "document_type": "document_type_example",
  "disabled": false
}
GET /api/accounts/accounting-dimension/{id}

Retrieve a accounting dimension

Retrieves the details of an existing accounting dimension. Supply the unique accounting dimension ID that was returned from a previous request.

Path parameters

id string required

The identifier of the accounting dimension to retrieve.

Returns

Returns the accounting dimension object if a valid identifier was provided.

GET /api/accounts/accounting-dimension/{id}
curl https://api.overplane.dev/api/accounts/accounting-dimension/accounting-dimension_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "accounting-dimension_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "label": "label_example",
  "fieldname": "fieldname_example",
  "document_type": "document_type_example",
  "disabled": false
}
GET /api/accounts/accounting-dimension

List all accounting dimensions

Returns a list of accounting dimensions. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of accounting dimension objects.

GET /api/accounts/accounting-dimension
curl https://api.overplane.dev/api/accounts/accounting-dimension \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "accounting-dimension_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "label": "label_example",
      "fieldname": "fieldname_example",
      "document_type": "document_type_example",
      "disabled": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/accounting-dimension

Create a accounting dimension

Creates a new accounting dimension object.

Body parameters

label string
fieldname string
document_type string required
disabled boolean

Default: false

Returns

Returns the newly created accounting dimension object if the call succeeded.

POST /api/accounts/accounting-dimension
curl https://api.overplane.dev/api/accounts/accounting-dimension \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"document_type":"document_type_example"}'
Response
{
  "id": "accounting-dimension_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "label": "label_example",
  "fieldname": "fieldname_example",
  "document_type": "document_type_example",
  "disabled": false
}
PATCH /api/accounts/accounting-dimension/{id}

Update a accounting dimension

Updates the specified accounting dimension by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the accounting dimension to update.

Body parameters

label string
fieldname string
document_type string
disabled boolean

Default: false

Returns

Returns the updated accounting dimension object.

PATCH /api/accounts/accounting-dimension/{id}
curl https://api.overplane.dev/api/accounts/accounting-dimension/accounting-dimension_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"label":"label_example","fieldname":"fieldname_example"}'
Response
{
  "id": "accounting-dimension_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "label": "label_example",
  "fieldname": "fieldname_example",
  "document_type": "document_type_example",
  "disabled": false
}
DELETE /api/accounts/accounting-dimension/{id}

Delete a accounting dimension

Permanently deletes a accounting dimension. This cannot be undone.

Path parameters

id string required

The identifier of the accounting dimension to delete.

Returns

Returns a confirmation that the accounting dimension has been deleted.

DELETE /api/accounts/accounting-dimension/{id}
curl https://api.overplane.dev/api/accounts/accounting-dimension/accounting-dimension_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "accounting-dimension_abc123",
  "deleted": true
}

Line items

Child objects that belong to this accounting dimension. These are accessed via the parent's ID.

Accounting Dimension Detail

Attributes

idx integer
accounting_dimension_id string required
company string
reference_document string
default_dimension string
mandatory_for_bs boolean
mandatory_for_pl boolean
automatically_post_balancing_accounting_entry boolean
offsetting_account string

Endpoints

GET /api/accounts/accounting-dimension-detail?parent_id={id}
POST /api/accounts/accounting-dimension-detail
PATCH /api/accounts/accounting-dimension-detail/{id}
DELETE /api/accounts/accounting-dimension-detail/{id}
POST /api/accounts/accounting-dimension-detail/reorder
Accounting Dimension Detail object
{
  "id": "accounting-dimension-detail_abc123",
  "idx": 1,
  "accounting_dimension_id": "accounting_dimension_id_example",
  "company": "Example Corp",
  "reference_document": "reference_document_example",
  "default_dimension": "default_dimension_example",
  "mandatory_for_bs": false,
  "mandatory_for_pl": false,
  "automatically_post_balancing_accounting_entry": false,
  "offsetting_account": "offsetting_account_example"
}